Available in VPC
Get the list of subnets available to use in Cloud DB for MySQL.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | POST | /vmysql/v2/getCloudMysqlTargetSubnetList |
Request headers
For headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
vpcNo |
String | Required | Filter by VPC number
|
cloudMysqlImageProductCode |
String | Required | Filter by Cloud DB for MySQL image product code
|
isPublic |
Boolean | Optional | Filter by public subnet status
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlTargetSubnetList
?regionCode=KR
&vpcNo=****83
&cloudMysqlImageProductCode=SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8018.B050' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response body
See TargetSubnetList for the response body.
Response status codes
For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.
Response example
The following is a sample response.
- If
responseFormatType=json
{
"getCloudMysqlTargetSubnetListResponse": {
"totalRows": 3,
"targetSubnetList": [
{
"subnetNo": "****91",
"subnetName": "test-***",
"vpcNo": "****83",
"vpcName": "test-***",
"zoneCode": "KR-1",
"subnet": "192.168.*.0/28",
"isPublic": true,
"createdDate": "2024-06-03T08:53:40+0900"
},
{
"subnetNo": "****93",
"subnetName": "test-***",
"vpcNo": "****83",
"vpcName": "test-***",
"zoneCode": "KR-2",
"subnet": "192.168.*.0/24",
"isPublic": true,
"createdDate": "2022-03-30T10:01:13+0900"
}
],
"requestId": "b9cf9a98-****-****-****-ba0d20cf0567",
"returnCode": "0",
"returnMessage": "success"
}
}
- If
responseFormatType=xml(default)
<?xml version="1.0" encoding="UTF-8"?>
<getCloudMysqlTargetSubnetListResponse>
<requestId>b9cf9a98-****-****-****-ba0d20cf0567</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>3</totalRows>
<targetSubnetList>
<targetSubnet>
<subnetNo>****83</subnetNo>
<subnetName>test-***</subnetName>
<vpcNo>****83</vpcNo>
<vpcName>test-***</vpcName>
<zoneCode>KR-1</zoneCode>
<subnet>192.168.*.0/28</subnet>
<isPublic>true</isPublic>
<createdDate>2024-06-03T08:53:40+0900</createdDate>
</targetSubnet>
<targetSubnet>
<subnetNo>****93</subnetNo>
<subnetName>test-***</subnetName>
<vpcNo>****83</vpcNo>
<vpcName>test-***</vpcName>
<zoneCode>KR-2</zoneCode>
<subnet>192.168.*.0/24</subnet>
<isPublic>true</isPublic>
<createdDate>2022-03-30T10:01:13+0900</createdDate>
</targetSubnet>
</targetSubnetList>
</getCloudMysqlTargetSubnetListResponse>